/*
     This file is part of GNUnet.
     (C) 2005, 2006 Christian Grothoff (and other contributing authors)

     GNUnet is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published
     by the Free Software Foundation; either version 2, or (at your
     option) any later version.

     GNUnet is distributed in the hope that it will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
     General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with GNUnet; see the file COPYING.  If not, write to the
     Free Software Foundation, Inc., 59 Temple Place - Suite 330,
     Boston, MA 02111-1307, USA.
*/

/**
 * @file src/plugins/fs/download.h
 * @brief code for searching with gnunet-gtk
 * @author Christian Grothoff
 */

#ifndef GTK_DOWNLOAD_H
#define GTK_DOWNLOAD_H

#include <GNUnet/gnunet_ecrs_lib.h>
#include <GNUnet/gnunet_fsui_lib.h>
#include "fs.h"

DownloadList *fs_download_started (struct FSUI_DownloadList *fsui_dl,
                                   DownloadList * dl_parent,
                                   SearchList * sl_parent,
                                   unsigned long long total,
                                   unsigned int anonymityLevel,
                                   const ECRS_FileInfo * fi,
                                   const char *filename,
                                   unsigned long long completed,
                                   cron_t eta, FSUI_State state);

void fs_download_update (DownloadList * downloadContext,
                         unsigned long long completed,
                         const char *data, unsigned int size);

void fs_download_completed (DownloadList * downloadContext);

void fs_download_aborted (DownloadList * downloadContext);

void fs_download_stopped (DownloadList * downloadContext);

#endif
